Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1115667

Summary: Review Request: nodejs-gonzales-pe - Gonzales Preprocessor Edition (fast CSS parser)
Product: [Fedora] Fedora Reporter: Ralph Bean <rbean>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: package-review, panemade
Target Milestone: ---Flags: panemade: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-07-22 16:40:15 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 956806, 1115665    

Description Ralph Bean 2014-07-02 21:03:47 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-gonzales-pe.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-gonzales-pe-3.0.0-0.1.6.fc20.src.rpm

Description:
Gonzales is a fast CSS parser.
Gonzales PE is a rework with support of preprocessors.

Comment 1 Parag AN(पराग) 2014-07-16 14:29:00 UTC
fedora-review reported new srpm available at your people page. If there is any update available, can you please add it here?

Comment 2 Ralph Bean 2014-07-16 17:04:47 UTC
Sorry for the confusion, Parag.

The update contained the latest upstream release as well as a reduction in the amount of use of 'nodejs_fixdep' statements.

Spec URL: http://ralph.fedorapeople.org//nodejs-gonzales-pe.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-gonzales-pe-3.0.0-0.1.9.fc20.src.rpm

Comment 3 Parag AN(पराग) 2014-07-17 08:17:11 UTC
Review:

+ mock build is successful for f22

- rpmlint output on rpms gave
nodejs-gonzales-pe.src: W: spelling-error %description -l en_US preprocessors -> processors, predecessors, microprocessor
nodejs-gonzales-pe.x86_64: W: spelling-error %description -l en_US preprocessors -> processors, predecessors, microprocessor
nodejs-gonzales-pe.x86_64: E: no-binary
nodejs-gonzales-pe.x86_64: W: only-non-binary-in-usr-lib
nodejs-gonzales-pe-debuginfo.x86_64: E: empty-debuginfo-package
3 packages and 0 specfiles checked; 2 errors, 3 warnings.

==> See below suggestions

+ Source verified with upstream as (sha256sum)
srpm tarball     :4b6bd26612b5dd221696f9a638ed6a8af950c98664400fe3e41b6c040928cf47
upstream tarball :4b6bd26612b5dd221696f9a638ed6a8af950c98664400fe3e41b6c040928cf47

+ License "MIT" is valid 

- License file is not packaged.

+ rest looks following packaging guidelines


Suggestions:
1) Add following to spec
BuildArch:  noarch

%if 0%{?fedora} >= 19
ExclusiveArch:  %{nodejs_arches} noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm} noarch
%endif

2) Add doc directory files and MIT-LICENSE.txt as %doc


Please provide updated package

Comment 4 Ralph Bean 2014-07-21 18:42:47 UTC
New release should address your suggestions:

Spec URL: http://threebean.org/rpm/SPECS/nodejs-gonzales-pe.spec
SRPM URL: http://threebean.org/rpm/SRPMS/nodejs-gonzales-pe-3.0.0-0.2.9.fc20.src.rpm

Comment 5 Parag AN(पराग) 2014-07-22 06:05:42 UTC
Thanks for the update. New srpm looks good.

APPROVED.

Comment 6 Ralph Bean 2014-07-22 14:53:33 UTC
New Package SCM Request
=======================
Package Name: nodejs-gonzales-pe
Short Description: Gonzales Preprocessor Edition (fast CSS parser)
Upstream URL: https://npmjs.org/package/gonzales-pe
Owners: ralph
Branches: f21,f20,f19,epel7,el6
InitialCC:

Comment 7 Gwyn Ciesla 2014-07-22 14:55:16 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2014-07-22 17:26:46 UTC
nodejs-gonzales-pe-3.0.0-0.2.9.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-gonzales-pe-3.0.0-0.2.9.fc20

Comment 9 Fedora Update System 2014-07-22 17:27:04 UTC
nodejs-gonzales-pe-3.0.0-0.2.9.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-gonzales-pe-3.0.0-0.2.9.fc19

Comment 10 Ralph Bean 2014-07-22 18:26:52 UTC
Buildroot overrides have been created.

Comment 11 Fedora Update System 2014-08-15 02:31:31 UTC
nodejs-gonzales-pe-3.0.0-0.2.9.fc20 has been pushed to the Fedora 20 stable repository.

Comment 12 Fedora Update System 2014-08-15 02:40:13 UTC
nodejs-gonzales-pe-3.0.0-0.2.9.fc19 has been pushed to the Fedora 19 stable repository.